<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <roleRef roleURI="http://www.xbrl.org/2009/role/netLabel" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="gree-2025-12-31.xsd#gree_Nettoomsaettning" xlink:label="gree_Nettoomsaettning" />
    <loc xlink:type="locator" xlink:href="gree-2025-12-31.xsd#gree_Kundrelationer" xlink:label="gree_Kundrelationer" />
    <labelArc xlink:type="arc" xlink:from="gree_Nettoomsaettning" xlink:to="label_gree_greeNettoomsaettning_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="gree_Nettoomsaettning" xlink:to="label_gree_greeNettoomsaettning_NetLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="gree_Kundrelationer" xlink:to="label_gree_greeKundrelationer_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="gree_Kundrelationer" xlink:to="label_gree_greeKundrelationer_NetLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_gree_greeNettoomsaettning_Standard" id="gree_greeNettoomsaettning_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Nettoomsättning</label>
    <label xlink:label="label_gree_greeNettoomsaettning_NetLabel" id="gree_greeNettoomsaettning_NetLabel" xlink:role="http://www.xbrl.org/2009/role/netLabel" xlink:type="resource" xml:lang="sv">Nettoomsättning</label>
    <label xlink:label="label_gree_greeKundrelationer_Standard" id="gree_greeKundrelationer_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="sv">Kundrelationer</label>
    <label xlink:label="label_gree_greeKundrelationer_NetLabel" id="gree_greeKundrelationer_NetLabel" xlink:role="http://www.xbrl.org/2009/role/netLabel" xlink:type="resource" xml:lang="sv">Kundrelationer</label>
  </labelLink>
</linkbase>